#@IgnoreInspection AddShebang
# ENVIRONMENT:
export GJ_ENV=local_aptproxy

export LANG=en_US.UTF-8

# Compilation flags
export ARCHFLAGS="-arch x86_64"

# Themes are in (...)/oh-my-zsh/themes/ or "random"
ZSH_THEME="mj"

CASE_SENSITIVE="true"
DISABLE_AUTO_UPDATE="true"
#DISABLE_AUTO_TITLE="true"
ENABLE_CORRECTION="false"
COMPLETION_WAITING_DOTS="true"
DISABLE_UNTRACKED_FILES_DIRTY="true"
HIST_STAMPS="dd.mm.yyyy"
ZSH_CUSTOM=$ZCFG/custom

plugins+=(command-not-found common-aliases debian dirhistory history history-substring-search screen systemadmin zsh_reload)

# User configuration
#export PATH=$HOME/bin:/usr/local/bin:$PATH

# Environment
if [ -f $ZCFG/dotfiles/environment.sh ]; then
    . $ZCFG/dotfiles/environment.sh
fi

# History
export HISTFILESIZE=
export HISTSIZE=
export HISTFILE=~/.history

# Apply
source $ZSH/oh-my-zsh.sh

# virtualenvwrapper
if [ -f /usr/local/bin/virtualenvwrapper.sh ]; then
	export WORKON_HOME=$HOME/.virtualenvs
	export VIRTUALENVWRAPPER_HOOK_DIR=$HOME/.virtualenvs
	source /usr/local/bin/virtualenvwrapper.sh
	plugins+=(pip python virtualenv virtualenvwrapper)
fi

# Aliases
alias zpl='cd $ZSH/plugins && ls -Alh | less'

alias zup='cd $ZCFG && git pull origin master && rm -f ~/.zcompdump* ~/.zshrc.zwc && cd && source ~/.zshrc'
alias zupdev='cd $ZCFG && git pull origin dev && rm -f ~/.zcompdump* ~/.zshrc.zwc && cd && source ~/.zshrc'

alias zinst='cd && rm -rf .config/zsh-config .bashrc && rm -rf .z* && curl -L http://git.str8.biz/mj/zsh-config/raw/master/tools/install.sh | sh'

if [ -f $ZCFG/dotfiles/bash_aliases.sh ]; then
    . $ZCFG/dotfiles/bash_aliases.sh
fi

if [ -f $ZCFG/dotfiles/aliases_zsh.sh ]; then
    . $ZCFG/dotfiles/aliases_zsh.sh
fi
