#@IgnoreInspection AddShebang
#
#	** Initiate with: **
#	cd && curl -L http://git.str8.biz/mj/zsh-config/raw/master/tools/install.sh | sh
#
# ---------------------------------------------------------------------------------------------
#
#	gj@ubuntu4docker:~$ touch install.sh
#	gj@ubuntu4docker:~$ rm install.sh && nano install.sh && chmod +x install.sh && ./install.sh
#
################################################################################################

set -e

if [ ! -n $DONTINSTALL ]; then
	DONTINSTALL=1
fi

if [ $DONTINSTALL == 0 ]; then
	echo "~~~ INSTALLING ~~~"

	if [ -d /proc/vz ] && [ ! -d /proc/vz/beancounter ]; then
		apt-get -yq install curl dialog git zsh
	else
		if [ "$UID" != 0 ]; then CMD_PREFIX="sudo"; else CMD_PREFIX=""; fi

		if [ "$SHELL" != "$(which zsh)" ]; then
			echo "$(which zsh)"
			$CMD_PREFIX echo "enter pass...."

			echo "ok"

			$CMD_PREFIX apt-get -yq install curl dialog git nano zsh
		fi
	fi
fi

if [ ! -n "$HOME" ]; then
  HOME=~/
fi

if [ ! -n "$ZCNF" ]; then
  ZCNF=$HOME/.config/zsh-config
fi

if [ ! -n "$ZSH" ]; then
  ZSH=$ZCNF/repos/oh-my-zsh
fi

echo "\033[0;34mCleaning...\033[0m"
if [ -d ~/.config/zsh-config ] || [ -h ~/.config/zsh-config ]; then
	rm -rf ~/.config/zsh-config
fi

if [ -d ~/.config/oh-my-zsh ] || [ -h ~/.config/oh-my-zsh ]; then
	rm -rf ~/.config/oh-my-zsh
fi

if [ -d ~/.config/antigen ] || [ -h ~/.config/antigen ]; then
	rm -rf ~/.config/antigen
fi

if [ -d ~/.oh-my-zsh ] || [ -h ~/.oh-my-zsh ]; then
	rm -rf ~/.oh-my-zsh
fi

if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]; then
	mv ~/.zshrc ~/.zshrc.pre-zsh-cnf
fi

#
# BASH:
#
if [ -f ~/.bashrc ] || [ -h ~/.bashrc ]; then
	mv ~/.bashrc ~/.bashrc.pre-zsh-cnf
fi
if [ -f ~/.bash_aliases ] || [ -h ~/.bash_aliases ]; then
	rm ~/.bash_aliases
fi

echo "\033[0;34mCloning Zsh Config...\033[0m"
hash git >/dev/null 2>&1 && env git clone --branch master --single-branch --depth=1 http://git.str8.biz/mj/zsh-config.git $ZCNF || {
	echo "can't clone repo.."
	exit 1
}

echo "\033[0;34mUsing the Zsh Config template file and adding it to ~/.zshrc\033[0m"
cp $ZCNF/templates/zshrc.sh ~/.zshrc
cp $ZCNF/templates/bashrc.sh ~/.bashrc

#sed -i -e "/^export ZSH=/ c\\
#export ZSH=$ZSH
#" ~/.zshrc

echo "\033[0;34mCopying your current PATH and adding it to the end of ~/.zshrc for you.\033[0m"
sed -i -e "/export PATH=/ c\\
export PATH=\"$PATH\"
" ~/.zshrc

if [ "$SHELL" != "$(which zsh)" ]; then
    echo "\033[0;34mTime to change your default shell to zsh!\033[0m"
    # echo "chsh -s $(which zsh)"
    echo "chsh -s /bin/zsh"
fi

echo "\033[0;32m"'         __                                     __   '"\033[0m"
echo "\033[0;32m"'  ____  / /_     ____ ___  __  __   ____  _____/ /_  '"\033[0m"
echo "\033[0;32m"' / __ \/ __ \   / __ `__ \/ / / /  /_  / / ___/ __ \ '"\033[0m"
echo "\033[0;32m"'/ /_/ / / / /  / / / / / / /_/ /    / /_(__  ) / / / '"\033[0m"
echo "\033[0;32m"'\____/_/ /_/  /_/ /_/ /_/\__, /    /___/____/_/ /_/  '"\033[0m"
echo "\033[0;32m"'                        /____/                       ....is now installed!'"\033[0m"
echo "\n\n \033[0;32mPlease look over the ~/.zshrc file to select plugins, themes, and options.\033[0m"
echo "\n\n \033[0;32mp.s. Follow us at http://twitter.com/ohmyzsh.\033[0m"
echo "\n\n \033[0;32mp.p.s. Get stickers and t-shirts at http://shop.planetargon.com.\033[0m"
#env zsh
#. ~/.zshrc
